package com.dev.swms.server.model.count;


import java.util.Date;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.energy.server.model.Entity;

/** 
 * @author 系统代码表
 * @version 2013-8-13 下午4:53:32
 */
public class CommonCode extends Entity{ 
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** 代码 */
	private String code;
	/** 名称 */
	private String name;
	/** 类型 */
	private String codeType;
	/** 操作日期 */
	private Date operateDate;
	/** 操作人 */
	private String operator;
	/** 备注 */
	private String remark;
	/** 是否有效 */
	private boolean disabled = false;
	
	public String getCodeType() {
		return codeType;
	}
	public void setCodeType(String codeType) {
		this.codeType = codeType;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getOperateDate() {
		return operateDate;
	}
	public void setOperateDate(Date operateDate) {
		this.operateDate = operateDate;
	}
	public String getOperator() {
		return operator;
	}
	public void setOperator(String operator) {
		this.operator = operator;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public boolean equals(final Object other) {
		if (!(other instanceof CommonCode))
			return false;
		CommonCode castOther = (CommonCode) other;
		return new EqualsBuilder().append(code, castOther.getCode()).isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().append(code).toHashCode();
	}
}
